# SimpleXMLIterator::current

(PHP 5, PHP 7)

SimpleXMLIterator::current — Returns the current element

### Description

public SimpleXMLIterator::current ( void ) : mixed

This method returns the current element as a SimpleXMLIterator object or `NULL`.

### Parameters

This function has no parameters.

### Return Values

Returns the current element as a SimpleXMLIterator object or `NULL` on failure.

### Examples

Example #1 Return the current element

`<?php
$xmlIterator = new SimpleXMLIterator('<books><book>PHP basics</book><book>XML basics</book></books>');
var_dump($xmlIterator->current());
$xmlIterator->rewind(); // rewind to first element
var_dump($xmlIterator->current());
?>`

The above example will output:

    NULL
    object(SimpleXMLIterator)#2 (1) {
      [0]=>
      string(10) "PHP basics"
    }

### See Also

- SimpleXMLIterator::key() - Return current key
- SimpleXMLIterator::next() - Move to next element
- SimpleXMLIterator::rewind() - Rewind to the first element
- SimpleXMLIterator::valid() - Check whether the current element is valid
- SimpleXMLElement